<?php

	include("../M0/session_start.php") ;
	
	if ( ! empty( $_POST['SMS_CODE'] ) ) {
		
		if ( password_verify( $_POST['SMS_CODE'], $_SESSION['code_2FA_hashed'] ) ) {
			
			if ( $_SESSION['code_2FA_t_limit'] >= time() ) {
				$_SESSION['code_2FA_msg']		= "";
				$_SESSION['2FA_code_erreur']	= 22 ;
				$_SESSION['admin_2FA']			= true ;
				log_string( "AQCM05", "NOTICE ---> " . "accès aux menus d'administration pour : " . $_SESSION['login'] . " : succès... #22" ) ;
				$_SESSION['admin_menus']		= true ;
				header('Location: ./index.php');
				exit();
			}
			else {
				$_SESSION['code_2FA_msg'] = "code correct mais périmé !!!";
				$_SESSION['2FA_code_erreur'] 	= 23 ;
				$_SESSION['admin_2FA'] 			= false ;
				log_string( "AQCM05", "NOTICE ---> " . "accès aux menus d'administration pour : " . $_SESSION['login'] . " : échec !!! #23" ) ;
				$_SESSION['admin_menus']		= false ;
				header('Location: ./index.php');
				exit();
			}
		}
		else {
			$_SESSION['code_2FA_msg'] = "code incorrect !!!";
			$_SESSION['2FA_code_erreur'] 	= 24 ;
			$_SESSION['admin_2FA'] 			= false ;
			log_string( "AQCM05", "NOTICE ---> " . "accès aux menus d'administration pour : " . $_SESSION['login'] . " : échec !!! #24" ) ;
			$_SESSION['admin_menus']		= false ;
			header('Location: ./index.php');
			exit();
		}
			
	}
	else {
		$_SESSION['code_2FA_msg'] = "veuillez saisir un code à 6 chiffres !";
		$_SESSION['2FA_code_erreur'] 	= 25 ;
		$_SESSION['admin_2FA'] 			= false ;
		log_string( "AQCM05", "NOTICE ---> " . "accès aux menus d'administration pour : " . $_SESSION['login'] . " : échec !!! #25" ) ;
		$_SESSION['admin_menus']		= false ;
		header('Location: ./index.php');
		exit();
	}
	
?>
	

	
